#include<bits/stdc++.h>
using namespace std;
int a[100010];
int main(){
    long long n,k,ans=0;
    cin>>n>>k;
    for(int i=0;i<n;i++)cin>>a[i];
    for(int i=0;i<n;i++){
        int t=0,j;
        for(j=i;j<n;j++){
            t=t|a[j];
            if(t>=k)break;
        }
        ans+=n-j;
    }
    cout<<ans;
}
